> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# workflowsteptype

> MDO provider for the WorkflowStepType enum

## "workflowsteptype" MDO List

MDO provider for the WorkflowStepType enum

Implemented by the <see cref="T:SuperOffice.CRM.Lists.WorkflowStepTypeProvider">WorkflowStepTypeProvider</see> class.
The name of the MDO list is 'workflowsteptype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/workflowsteptype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("workflowsteptype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                          | StyleHint | ExtraInfo |
| -- | ----------------------------- | --------- | --------- |
| 1  | Send e-mail                   |           |           |
| 2  | Send SMS                      |           |           |
| 3  | Wait time                     |           |           |
| 4  | Wait for action               |           |           |
| 5  | Split                         |           |           |
| 6  | Update contact                |           |           |
| 7  | Add to selection/project      |           |           |
| 8  | Remove from selection/project |           |           |
| 15 | Distribute to owner           |           |           |
| 9  | Create request                |           |           |
| 10 | Create follow-up              |           |           |
| 11 | Create sale                   |           |           |
| 14 | Run script                    |           |           |
| 12 | Notify by e-mail              |           |           |
| 13 | Notify by SMS                 |           |           |

## Related MDO Lists

* "workflowsteptypeheadings"
* "workflowsteptypeheadingswithallitem"
* "workflowsteptypeheadingswithallitemwithnoselection"
* "workflowsteptypeheadingswithnoselection"
* "workflowsteptypewithallitem"
* "workflowsteptypewithallitemwithnoselection"
* "workflowsteptypewithnoselection"


## Related topics

- [Enum WorkflowStepType](/en/automation/crmscript/reference/CRMScript.NetServer.WorkflowStepType.md)
- [Enum values for WorkflowStepType](/en/database/tables/enums/workflowsteptype.md)
- [SuperOffice.WebApi.Data.WorkflowStepType](/en/api/reference/webapi/SuperOffice.WebApi.Data.WorkflowStepType.md)
- [SuperOffice.WebApi.Agents.IWorkflowAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IWorkflowAgent.md)
- [SuperOffice.WebApi.Agents.WorkflowAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.WorkflowAgent.md)
- [NSWorkflowAgent](/en/automation/crmscript/reference/CRMScript.NetServer.NSWorkflowAgent.md)
